.diagnosis-range {
    overflow: hidden;
    &__bar {
        height: 0.5rem;
        background: linear-gradient(to left, #1dff00 0%,#fff200 50%,#ff0000 100%);
        border-radius: 0.25rem;
        box-shadow: 0 1px 0 0 rgba(0,0,0,0.25) inset, 0 0 3px 0 rgba(0,0,0,0.5) inset;
        //background:linear-gradient(90deg, red, yellow, green);
        overflow: hidden;
    }
    &__mask {
        background-color: #eee;
        box-shadow: 0 1px 0 0 rgba(0,0,0,0.25) inset, 0 0 3px 0 rgba(0,0,0,0.5) inset;
        background: linear-gradient(to bottom, #aaa 0%,#ccc 100%);
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        transition: transform @duration @easing;
    }
}
